from parallels.core.utils.entity import Entity


class DatabaseServer(Entity):
    def __init__(self, server_type, host, port, local, version):
        self._server_type = server_type
        self._host = host
        self._port = port
        self._local = local
        self._version = version

    @property
    def server_type(self):
        """
        :rtype: str | unicode
        """
        return self._server_type

    @property
    def host(self):
        """
        :rtype: str | unicode
        """
        return self._host

    @property
    def port(self):
        """
        :rtype: str | unicode
        """
        return self._port

    @property
    def local(self):
        """
        :rtype: str | unicode
        """
        return self._local

    @property
    def version(self):
        """
        :rtype: str | unicode
        """
        return self._version
